# $Revision: 1.6 $, $Date: 2010/10/24 16:34:38 $
#
%include        /usr/lib/rpm/macros.mono
#
Summary:	A profiler to explore live objects in the heap
Name:		heap-shot
Version:	0.1
Release:	4
License:	GPL v3
Group:		Development/Tools
# git clone http://github.com/mono/heap-shot.git
Source0:	%{name}.tar.bz2
# Source0-md5:	976f917b5703eb321b7acac42e6f9000
Patch0:		%{name}-unicode-dot.patch
Patch1:		%{name}-build.patch
URL:		http://www.mono-project.com/HeapShot
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-gtk-sharp2-devel
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 2.8
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Heap Shot is a profiler to explore memory allocation patterns in an
application is it part of the Mono profiling tools. Heap Shot works by
taking snapshots of the Mono managed heap from running Mono
applications and displaying the results. Additionally, Heap Shot can
compare the differences in live objects between a number of snapshots,
this is very helpful to understand which objects are alive and which
objects have been allocated. HeapShot can either explore one snapshot
of memory at a point, or it can be used to compare the objects between
two separate points in time.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# mono dlopens profiler library by libmono-profiler-NAME.so
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/heap-shot
%attr(755,root,root) %{_bindir}/heap-shot-gui
%attr(755,root,root) %{_libdir}/libmono-profiler-heap-shot.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmono-profiler-heap-shot.so.0
%attr(755,root,root) %{_libdir}/libmono-profiler-heap-shot.so
%{_prefix}/lib/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: heap-shot.spec,v $
Revision 1.6  2010/10/24 16:34:38  megabajt
- require existing version of mono-csharp
- release 4

Revision 1.5  2010/10/24 16:27:13  megabajt
- fixed build with mono 2.8 by removing -configure.patch
- release 3

Revision 1.4  2010/10/23 15:23:13  megabajt
- release 2

Revision 1.3  2010/05/07 20:50:23  pluto
- fix 64-bit build, release 1.

Revision 1.2  2010/05/07 19:35:03  pluto
- BR: dotnet-gtk-sharp2-devel.

Revision 1.1  2010/05/07 18:36:02  pluto
- new draft.
